aboutsummaryrefslogtreecommitdiffstats
path: root/tests/fake_formatter.sh
diff options
context:
space:
mode:
authorSteven Arcangeli <stevearc@stevearc.com>2023-08-27 18:15:04 -0700
committerSteven Arcangeli <stevearc@stevearc.com>2023-08-27 18:15:09 -0700
commitf87f3ea322b1111e1929d149224ff736c8390db3 (patch)
tree44b11765d02fbb8b88bedafa4bde69ff33d22ad9 /tests/fake_formatter.sh
parent446aa570048586f9c13f1ea88e280567f336691e (diff)
test: add a test suite
Diffstat (limited to 'tests/fake_formatter.sh')
-rwxr-xr-xtests/fake_formatter.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/fake_formatter.sh b/tests/fake_formatter.sh
new file mode 100755
index 0000000..a060a4c
--- /dev/null
+++ b/tests/fake_formatter.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+if [ -e "tests/fake_formatter_output" ]; then
+ cat tests/fake_formatter_output
+else
+ cat
+fi
+
+if [ "$1" = "--fail" ]; then
+ echo "failure" >&2
+ exit 1
+elif [ "$1" = "--timeout" ]; then
+ sleep 4
+fi
+